PowerBlock installation

Home Forums RetroPie Project GPIO Adapter, ControlBlock etc. PowerBlock installation

RetroPie has a new website and forum. Please visit https://retropie.org.uk/ for the new site. The new forum is located at https://retropie.org.uk/forum/. This forum is left here as a read-only archive.

This topic contains 0 replies, has 1 voice, and was last updated by Profile photo of ezdude ezdude 1 year, 1 month ago.

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #122212
    Profile photo of ezdude
    ezdude
    Participant

    Hello everyone,

    First of all thanks for all the help on the forums!

    I am having a problem installing the Power Block. During installation it says it is “Unable to locate package g++-4.9”.

    I have it connected properly and powered up. I am attempting to the follow the instructions on the PowerBlock webpage.

    I enter the following commands:
    1. sudo apt-get update
    -a long list of commands comes up, and everything seems to work just fine.

    2. sudo apt-get upgrade -y
    – it says Reading package lists… Done
    Reading state information… Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded

    3. sudo apt-get install -y git cmake g++-4.9
    -when I enter the last line it says:
    Reading package lists… done
    Building depedency tree
    Reading state information… Done
    E: Unable to locate package g++-4.9
    E: Couldn’t find any package by regex ‘g++-4.9’

    I went ahead and continued on with the PowerBlock setup.
    git clone git://github.com/petrockblog/PowerBlock.git
    cd PowerBlock
    make
    sudo make install
    sudo make installservice

    But, I just get an error at the end saying it cannot locate g++-4.9. There seems to be a problem with installing g++-4.9.

    I would appreciate if anyone could help me with this.

    Thanks!

    For what it’s worth, here’s my system information:
    Pi Model: 2 B
    RetroPie Version Used: 3.6
    Built From: SD Image
    USB Devices connected: Wifi dongle, iPac and keyboard
    Controller used: ipac
    Error messages received: see above
    Guide used: PowerBlock installation page
    File: n/a
    Attachment of config files: will submit if needed

    • This topic was modified 1 year, 1 month ago by Profile photo of ezdude ezdude.

Viewing 1 post (of 1 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/

Skip to toolbar